BTMiner Bytom CUDA Error: CUDA driver version is insufficient for CUDA runtime version (err_no=35)

btminer
bytom
cuda-error

#1

Hi guys,
i tried to mine Bytom i just run the Miner manually ./Start and i get this error:

CUDA Error: CUDA driver version is insufficient for CUDA runtime version (err_no=35)
BTMiner_NebuTech: …/…/gputools.cpp:18: static qint32 GPUTools::availableGPUNumber(): Assertion `0’ failed.
2018-06-19 15:27:12,120 ERROR - 6 “Process crashed”
2018-06-19 15:27:12,121 ERROR - !!!
2018-06-19 15:27:12,121 ERROR - !!! Mining program unexpected exit. Restarting … !!!
2018-06-19 15:27:12,121 ERROR - !!!

Noob error or real problem?
Google was not realy helpful.


#2

just adjust your LD_LIBRARY_PATH


#3

@Bagster I am a bit afraid of hurting HiveOS functionality.
How can i do this and how to change it back if HiveOS goes crazy
on setting new path?


#4

Depend on what you want to do. For myself, as it’s temporary, I run it like that:

cd /home/user/btm/btm-miner
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:cuda9
./miner -user <WALLET_ADDRESS>.wk1

It don’t change anything beside your current shell


#5

Thanks a lot Bagster !
This helps.


#6

Its working on 1080? or still only for 1050?


#7

Sorry i do not have a 1080 but i read that people are runnung btm-miner at a 1080